# Class RcsbStructuralTransformProvider

#### Hierarchy

- RcsbStructuralTransformProvider

- Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1697

#####
Index

### Constructors

constructor

### Properties

alignment

### Methods

get

## Constructors

### constructor

- new RcsbStructuralTransformProvider(alignment): RcsbStructuralTransformProvider

- #### Parameters

  - ##### alignment: StructureAlignmentResponse

  #### Returns RcsbStructuralTransformProvider

  - Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1700

## Properties

### `Private` `Readonly` alignment

alignment: StructureAlignmentResponse

- Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1699

## Methods

### get

- get(alignmentIndex, pairIndex): RigidTransformType[]

- #### Parameters

  - ##### alignmentIndex: number

  - ##### pairIndex: number

  #### Returns RigidTransformType[]

  - Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1704

Generated using TypeDoc